#ifndef RT_ASSET_PROCESSOR_H
#define RT_ASSET_PROCESSOR_H

/* Public header for the asset processor */

#include "runtime/runtime.h"

#ifdef __cplusplus
extern "C" {
#endif

RT_DLLEXPORT void rtRegisterAssetCompilerCVars(void);

RT_DLLEXPORT rt_result rtInitAssetCompiler(void);

RT_DLLEXPORT void rtShutdownAssetCompiler(void);

/* Wait until all pending assets are processed. */
RT_DLLEXPORT void rtWaitForAssetProcessing(void);

#ifdef __cplusplus
}
#endif

#endif
